# concrete.ml.common.check\_inputs.md

[![](https://img.shields.io/badge/-source-cccccc?style=flat-square)](https://github.com/zama-ai/concrete-ml/blob/release/1.1.x/src/concrete/ml/common/check_inputs.py#L0)

## module `concrete.ml.common.check_inputs`

Check and conversion tools.

Utils that are used to check (including convert) some data types which are compatible with scikit-learn to numpy types.

***

[![](https://img.shields.io/badge/-source-cccccc?style=flat-square)](https://github.com/zama-ai/concrete-ml/blob/release/1.1.x/src/concrete/ml/common/check_inputs.py#L16)

### function `check_array_and_assert`

```python
check_array_and_assert(X, *args, **kwargs)
```

sklearn.utils.check\_array with an assert.

Equivalent of sklearn.utils.check\_array, with a final assert that the type is one which is supported by Concrete ML.

**Args:**

* `X` (object): Input object to check / convert
* `*args`: The arguments to pass to check\_array
* `**kwargs`: The keyword arguments to pass to check\_array

**Returns:** The converted and validated array

***

[![](https://img.shields.io/badge/-source-cccccc?style=flat-square)](https://github.com/zama-ai/concrete-ml/blob/release/1.1.x/src/concrete/ml/common/check_inputs.py#L35)

### function `check_X_y_and_assert`

```python
check_X_y_and_assert(X, y, *args, **kwargs)
```

sklearn.utils.check\_X\_y with an assert.

Equivalent of sklearn.utils.check\_X\_y, with a final assert that the type is one which is supported by Concrete ML.

**Args:**

* `X` (ndarray, list, sparse matrix): Input data
* `y` (ndarray, list, sparse matrix): Labels
* `*args`: The arguments to pass to check\_X\_y
* `**kwargs`: The keyword arguments to pass to check\_X\_y

**Returns:** The converted and validated arrays

***

[![](https://img.shields.io/badge/-source-cccccc?style=flat-square)](https://github.com/zama-ai/concrete-ml/blob/release/1.1.x/src/concrete/ml/common/check_inputs.py#L57)

### function `check_X_y_and_assert_multi_output`

```python
check_X_y_and_assert_multi_output(X, y, *args, **kwargs)
```

sklearn.utils.check\_X\_y with an assert and multi-output handling.

Equivalent of sklearn.utils.check\_X\_y, with a final assert that the type is one which is supported by Concrete ML. If y is 2D, allows multi-output.

**Args:**

* `X` (ndarray, list, sparse matrix): Input data
* `y` (ndarray, list, sparse matrix): Labels
* `*args`: The arguments to pass to check\_X\_y
* `**kwargs`: The keyword arguments to pass to check\_X\_y

**Returns:** The converted and validated arrays with multi-output targets.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zama.org/concrete-ml/1.1/developer-guide/api/concrete.ml.common.check_inputs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
